Package org.eclipse.emf.cdo.common.commit

## Enum CDOChangeKind

- java.lang.Object
- - java.lang.Enum<CDOChangeKind>
  - - org.eclipse.emf.cdo.common.commit.CDOChangeKind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CDOChangeKind>`

      public enum CDOChangeKind
      extends java.lang.Enum<CDOChangeKind>

  Enumerates possible change kinds.
  Since:
    4.0
  Author:
    Eike Stepper
  No Extend
    This interface is not intended to be extended by clients.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHANGED` |
    `DETACHED` |
    `NEW` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDOChangeKind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CDOChangeKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final CDOChangeKind NEW

    - #### CHANGED

          public static final CDOChangeKind CHANGED

    - #### DETACHED

          public static final CDOChangeKind DETACHED

  - ### Method Detail

    - #### values

          public static CDOChangeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOChangeKind c : CDOChangeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOChangeKind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null